Bug 1278125 - Upgrading hypervisor from RHEVM portal fails . [NEEDINFO]
Upgrading hypervisor from RHEVM portal fails .
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor (Show other bugs)
3.5.3
All Linux
high Severity high
: ---
: ---
Assigned To: Fabian Deutsch
Huijuan Zhao
node
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 12:26 EST by Pawan kumar Vilayatkar
Modified: 2016-01-26 04:36 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:36:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fdeutsch: needinfo? (pvilayat)
ycui: needinfo? (pvilayat)


Attachments (Terms of Use)

  None (edit)
Description Pawan kumar Vilayatkar 2015-11-04 12:26:39 EST
Description of problem:

While upgrading hypervisor from RHEVM portal fails with error message
on ovirt.log " IOError: [Errno 28] No space left on device ". But the host
have enough space. 

Version-Release number of selected component (if applicable):
RHEVM 3.5.3



Actual results:

Host fails to upgrade with error IOError .


Expected results:

Host should be successful upgrade.
Comment 2 Alon Bar-Lev 2015-11-04 13:41:19 EST
2015-09-28 11:47:57,111 - DEBUG - ovirtfunctions - Command 'cp /live/LiveOS/squashfs.img /liveos/LiveOS' failed with return code 1 STDERR: cp: writing `/liveos/LiveOS/squashfs.img': No space left on device 2015-09-28 11:47:57,111 - DEBUG - ovirtfunctions - Command 'cp /live/LiveOS/squashfs.img /liveos/LiveOS' failed with return code 1 STDERR: cp: writing `/liveos/LiveOS/squashfs.img': No space left on device 2015-09-28 11:47:57,111 - ERROR - install - squashfs image copy failed. 2015-09-28 11:47:57,111 - ERROR - install - squashfs image copy failed.
Comment 3 Fabian Deutsch 2015-11-10 05:05:44 EST
Does the customer still see this bug?
Comment 6 Fabian Deutsch 2015-11-25 03:24:36 EST
It looks like /liveos is completely full.

Pawan, can you please ask the customer to provide the output of

find /liveos -ls

We need to understand why it's full.
Comment 11 Huijuan Zhao 2015-12-02 02:56:17 EST
Hi Pawan, could you please ask the customer to provide the upgrade target RHEV-H version?
Thanks!
Comment 12 Fabian Deutsch 2015-12-02 05:52:31 EST
Looking at comment 9 it looks like something like i.e. a kernel package was installed on the RHEV-H system.

On /liveos I see:

44353    1 drwxr-xr-x   5 root     root         1024 Nov 21  2014 /liveos/lib/modules/2.6.32-358.23.2.57.mcp7.4.x86_64

And many files below this directory.

The contents of this directory don't belong to /liveos, and they are responsible for the partition being full.
I can't tell from here why the files landed there, but they are not part of RHEV-H. I am not sure how this was produced, but it's definitely wrong and not a bug in RHEV-H.

My recommendation is to either remove this directory (I can't tell what will be happening) or to reinstall that RHEV-H host.

For now I'm closing this bug, because it does not look like a bug in RHEV-H.
Comment 15 Fabian Deutsch 2015-12-23 12:17:14 EST
Please provide the exact steps which were taken to reinstall the host.
Comment 17 Fabian Deutsch 2016-01-26 04:36:24 EST
Closing this bug.

Please reopen if necessary.

Note You need to log in before you can comment on or make changes to this bug.